getRouteTableList

Prev Next

Available in VPC

Get the list of route tables based on the conditions the user specifies.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getRouteTableList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the route table list
routeTableNoList.N List[String] Optional Query with the route table number list.
  • routeTableNo can be obtained through getRouteTableList.
  • Example: routeTableNoList.1=1234&routeTableNoList.2=2345
  • routeTableName String Optional Query with the route table name.
    supportedSubnetTypeCode String Optional Query with the subnet type supported by the route table.
    • PUBLIC | PRIVATE
      • PUBLIC: public subnet
      • PRIVATE: private subnet
    vpcNo String Optional Query with the VPC number.
  • See getVpcList.
  • pageNo Integer Optional Page numbers in paged results
    • Page the result values using pageNo and pageSize.
    pageSize Integer Conditional Number of results to display on a page
    • Required when entering pageNo
    • Page the result values using pageNo and pageSize.
    sortedBy String Optional Criteria to sort results by when querying the list of route tables
    • routeTableName
    sortingOrder String Optional Sort order when using sortedBy
    • ASC (default) | DESC
      • ASC: ascending order
      • DESC: descending order
    responseFormatType String Optional Format of the response result
    • xml (default) | json

    Request example

    The request example is as follows:

    curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getRouteTableList
    ?regionCode=KR
    &routeTableNoList.1=***38
    &routeTableName=test-table
    &supportedSubnetTypeCode=PUBLIC
    &vpcNo=3804' \
    --header 'x-ncp-apigw-timestamp: {Timestamp}' \
    --header 'x-ncp-iam-access-key: {Access Key}' \
    --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
    

    Response

    This section describes the response format.

    Response body

    See RouteTableList for the response body.

    Response status codes

    For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

    Response example

    The response example is as follows:

    <getRouteTableListResponse>
      <requestId>43623734-4270-463f-a269-a624cdef9154</requestId>
      <returnCode>0</returnCode>
      <returnMessage>success</returnMessage>
      <totalRows>1</totalRows>
      <routeTableList>
        <routeTable>
          <routeTableNo>***38</routeTableNo>
          <routeTableName>test-***</routeTableName>
          <regionCode>KR</regionCode>
          <vpcNo>**04</vpcNo>
          <supportedSubnetType>
            <code>PUBLIC</code>
            <codeName>Public</codeName>
          </supportedSubnetType>
          <isDefault>false</isDefault>
          <routeTableStatus>
            <code>RUN</code>
            <codeName>run</codeName>
          </routeTableStatus>
          <routeTableDescription></routeTableDescription>
        </routeTable>
      </routeTableList>
    </getRouteTableListResponse>